complexType "FloatingRateDefinition"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | calculatedRate?, rateObservation*, floatingRateMultiplier?, spread?, capRate*, floorRate*
</...>

Content Model Elements (6):

  calculatedRate (in floatingRateDefinition), capRate, floatingRateMultiplier, | floorRate, rateObservation (in floatingRateDefinition), spread (in floatingRateDefinition)

All Direct / Indirect Based Elements (1):

  floatingRateDefinition

Known Usage Locations

- As direct type of elements (1):
  floatingRateDefinition

Annotation
A type defining parameters associated with a floating rate reset. This type forms part of the cashflows representation of a stream.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="FloatingRateDefinition"> <xsd:sequence> <xsd:element minOccurs="0" name="calculatedRate" type="xsd:decimal"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="rateObservation" type="RateObservation"/> <xsd:element minOccurs="0" name="floatingRateMultiplier" type="xsd:decimal"/> <xsd:element minOccurs="0" name="spread" type="xsd:decimal"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="capRate" type="Strike"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="floorRate" type="Strike"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
calculatedRate

  Type: | xsd:decimal, predefined, simple content

  The final calculated rate for a calculation period after any required averaging of rates A calculated rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculatedRate" type="xsd:decimal"/>

capRate

  Type: | Strike, complex content

  The cap rate, if any, which applies to the floating rate for the calculation period. The cap rate (strike) is only required where the floating rate on a swap stream is capped at a certain strike level. The cap rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. A cap rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="capRate" type="Strike"/>

floatingRateMultiplier

  Type: | xsd:decimal, predefined, simple content

  A rate multiplier to apply to the floating rate. The multiplier can be a positive or negative decimal. This element should only be included if the multiplier is not equal to 1 (one).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="floatingRateMultiplier" type="xsd:decimal"/>

floorRate

  Type: | Strike, complex content

  The floor rate, if any, which applies to the floating rate for the calculation period. The floor rate (strike) is only required where the floating rate on a swap stream is floored at a certain strike level. The floor rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. The floor rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="floorRate" type="Strike"/>

rateObservation

  Type: | RateObservation, complex content

  The details of a particular rate observation, including the fixing date and observed rate. A list of rate observation elements may be ordered in the document by ascending adjusted fixing date. An FpML document containing an unordered list of rate observations is still regarded as a conformant document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="rateObservation" type="RateObservation"/>

spread

  Type: | xsd:decimal, predefined, simple content

  The ISDA Spread, if any, which applies for the calculation period. The spread is a per annum rate, expressed as a decimal. For purposes of determining a calculation period amount, if positive the spread will be added to the floating rate and if negative the spread will be subtracted from the floating rate. A positive 10 basis point (0.1%) spread would be represented as 0.001.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spread" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.